This step assumes you have successfully created a new account record using Account Creationstep of the guide
Now that you have created a customer account, you are able to issue cards for the account. To do so, you need to use /accounts/{accountId}/cardPOST request.
Create new card
post
/accounts/{accountId}/cards
Creates new card for the account
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
accountIdstring · uuidRequired
Unique account ID
Header parameters
SignaturestringRequired
HTTP message signature
Signature-InputstringRequired
HTTP message signature input
Idempotency-Keystring · uuidRequired
Idempotency key (UUID)
Content-DigeststringRequired
Content digest
Body
typestring · enumRequired
Card type
Possible values:
Responses
201
Successful operation
application/json
400
Invalid request
401
Not authorised
404
Account not found
500
Internal error
post
/accounts/{accountId}/cards
Let's say we want to open a new virtual card (physical cards are not supported at the moment):
If everything was successful, you will receive a response with status 201 (Created) which looks similar to the following:
At this stage, you can use our Simulator to issue or fail a pending card issuance request.
Assuming you would like to issue the card and proceed with next steps, you need to make an empty PATCH request to /simulator/cards/{cardId}/issue.
Issue card
patch
/simulator/cards/{cardId}/issue
Simulates card issuing success
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
cardIdstring · uuidRequired
Unique card ID
Header parameters
SignaturestringRequired
HTTP message signature
Signature-InputstringRequired
HTTP message signature input
Idempotency-Keystring · uuidRequired
Idempotency key (UUID)
Responses
202
Successful operation
400
Invalid request
401
Not authorised
404
Card not found
500
Internal error
patch
/simulator/cards/{cardId}/issue
No content
If your request was successful, you will receive an empty response with status 202 (Accepted).
In our Sandbox environment the card will be automatically issued and activated, which you can verify by making a GET request to /cards/{cardId}.
Retrieve card
get
/cards/{cardId}
Retrieves card's details
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
cardIdstring · uuidRequired
Unique card ID
Header parameters
SignaturestringRequired
HTTP message signature
Signature-InputstringRequired
HTTP message signature input
Responses
200
Successful operation
application/json
idstring · uuidRequired
Unique card ID
accountIdstring · uuidRequired
Unique account ID
typestring · enumRequired
Card type
Possible values:
namestringOptional
Name on the card
Example: John Carter
networkstring · enumOptional
Card network
Possible values:
maskedPanstringOptional
Card PAN masked according to regulations
Example: 530518******9871
expirationDatestringOptional
Expiration date of the card in MM/YYYY format
Example: 10/2028
statusstring · enumRequired
Card status
Possible values:
createdAtstring · date-timeRequired
Date this card was created (ISO-8601)
updatedAtstring · date-timeRequired
Date this card was updated (ISO-8601)
400
Invalid request
401
Not authorised
404
Card not found
500
Internal error
get
/cards/{cardId}
From there we can proceed to simulating card authorisations and transactions.